glab(1)

NAME
glab-ci-get - Get the details of a CI/CD pipeline.

SYNOPSIS
glab ci get [flags]

DESCRIPTION
Defaults to the current branch. Use --pipeline-id to specify a pipeline instead of fetching the latest for a branch.

Use --merge-request to target the head pipeline of a specific merge request by IID. This differs from --branch when the MR's head pipeline diverges from the latest pipeline on its source branch — for example, forks or detached pipelines.

Use --status to filter jobs by state (passed through to the API's scope parameter).

Use --output json to get the pipeline details as JSON.

OPTIONS
-b, --branch=""
    Get the pipeline for a branch. Defaults to the current branch.

--jq=""
    Filter JSON output with a jq expression.

--merge-request=0
    Show the pipeline for the given merge request .

-F, --output="text"
    Format output. Options: text, json.

-p, --pipeline-id=0
    Get the pipeline with the given .

-s, --status=""
    Show only jobs in the given state. Passed through to the API's scope parameter.

-d, --with-job-details[=false]
    Show extended job information.

--with-variables[=false]
    Show variables in pipeline. Requires the Maintainer role.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Get the pipeline for the current branch
    glab ci get
    # Get a specific pipeline by ID in another project
    glab ci get -R some/project -p 12345
    # Show only failed jobs for the head pipeline of MR !42
    glab ci get --merge-request=42 --status=failed --with-job-details

SEE ALSO
glab-ci(1)